Create an external gateway
How to create an external gateway via API
To create a new external gateway, send a POST request to the /api/external_gateways endpoint, passing the resource arguments in the request body.
Request
POST https://yourdomain.commercelayer.io/api/external_gateways
Arguments
type
string
Required
attributes.name
string
Required
attributes.force_payments
boolean
Optional, default is 'false'
attributes._disable
boolean
Optional
attributes._enable
boolean
Optional
attributes.reference
string
Optional
attributes.reference_origin
string
Optional
attributes.metadata
object
Optional
attributes.external_includes
array
Optional, default to resource specific list
attributes.authorize_url
string
Optional
attributes.capture_url
string
Optional
attributes.void_url
string
Optional
attributes.refund_url
string
Optional
attributes.token_url
string
Optional
Example
The following request creates a new external gateway:
On success, the API responds with a 201 Created status code, returning the created resource object:
Last updated